Subject: bug#41745: 28.0.50; problem with json file and which-function on pretest an master

From: andrés ramírez <[email-masked]>
Date: Sun, 07 Jun 2020 19:28:12 +0000

Hi. Basil.

>>>>> "Basil" == Basil L Contovounesios <[email-masked]> writes:

    Basil> If it's not a syntax that js-mode officially supports, then the fact that it worked in
    Basil> 26.3 is just a happy coincidence, and not something that has to be maintained.

Right. You have a point.

    Basil> Unless you or someone else can confirm that this is supported syntax, I don't see a bug
    Basil> here.  The reason I'm not sure is because I'm not familiar with js-mode and the different
    Basil> flavours of JS-like syntax that are meant to be supported.

Then I see two paths:

1. Dismiss the bug support. Because this is a feature not a bug.
2. Find a way to inhibit it. Cos It just triggers a message when doing
the bacward-delete-char. Perhaps with a var.

Thanks for working on this. Feel free to close this report in case of number 1.

Best Regards and sorry for the noise